This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 44398 - Radius auth function in INND seg faults
Radius auth function in INND seg faults
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: inn (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-13 10:42 EDT by Brian Bruns
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-13 10:52:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Core file from segfault (252.00 KB, application/octet-stream)
2001-06-13 10:52 EDT, Brian Bruns
no flags Details

  None (edit)
Description Brian Bruns 2001-06-13 10:42:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (Win95; U)

Description of problem:
Radius auth module in INND seg faults when used.  Recompiling of specific program from INND source does not fix the problem.

How reproducible:
Always

Steps to Reproduce:
1. Run /usr/bin/auth/passwd/radius

or

1. Activate radius auth in /etc/news/readers.conf, configure in /etc/news/radius.conf
2. Restart innd
3. Try to auth, and check /var/log/news/news.notice

Actual Results:  Segmentation fault (core dumped)

Additional info:
Comment 1 Brian Bruns 2001-06-13 10:52:03 EDT
Created attachment 20982 [details]
Core file from segfault
Comment 2 Florian La Roche 2001-06-26 09:49:09 EDT
Is this fixed with the inn-2.3.2-1 rpm that is part of rawhide?
(src.rpm is also on http://people.redhat.com/laroche)

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.